Page MenuHomePhabricator

Escaping problem in "Wiki checks did not pass"
Closed, ResolvedPublic

Description

Go to the following URL with "French" as browser/mMdiawiki UI language:
https://commons.wikimedia.org/wiki/Special:GWToolset

You get an error (which is normal):
Wiki checks did not pass
Make sure that you are logged in or contact an administrator in order to be granted permission to view this page (Vous ne faites pas partie d'un groupe ayant le droit d'uploader par URL.).

The problem is the apostrophe characters are invisible and replaced with &#039. So with have some escaping/unescaping problem with UI messages.


Version: unspecified
Severity: trivial

Details

Reference
bz58636

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:32 AM
bzimport set Reference to bz58636.
bzimport added a subscriber: Unknown Object (MLST).
Kelson created this task.Dec 18 2013, 10:06 AM

Change 102814 had a related patch set uploaded by Dan-nl:
correcting gwtoolset permission check

https://gerrit.wikimedia.org/r/102814

Change 102814 merged by Dan-nl:
correcting gwtoolset permission check

https://gerrit.wikimedia.org/r/102814

dan-nl added a comment.Jan 8 2014, 8:42 PM

kelson,

the patch has been merged into the master branch and deployed to Commons.
you can see the results when you are not logged into commons and go to
http://commons.wikimedia.org/wiki/Special:GWToolset.

please close this ticket if you’re satisfied with the results. if not, please
indicate what else needs to be addressed.

Kelson added a comment.Jan 8 2014, 9:37 PM

I was not able to get exactly the same message, but I can not see any escaping problem anymore. I close the ticket. Thank you.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:33 AM